%global mod_name credentials-plugin
%global short_name credentials
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-credentials-plugin
Version:        1.23
Release:        1%{?dist}
Summary:        Jenkins Credentials Plugin

License:        MIT
URL:            https://github.com/jenkinsci/credentials-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(com.google.code.findbugs:annotations)
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.jcip:jcip-annotations)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.mockito:mockito-core)

BuildArch:      noarch

%description
This package provides Jenkins credentials plugin.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%pom_change_dep :findbugs-annotations com.google.code.findbugs:annotations
%pom_remove_plugin :findbugs-maven-plugin

%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing package org.jvnet.hudson.test
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Wed Sep 16 2015 Michal Srb <msrb@redhat.com> - 1.23-1
- Update to upstream version 1.23

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Michal Srb <msrb@redhat.com> - 1.22-3
- Utilize pom_change_dep

* Thu Apr 16 2015 Michal Srb <msrb@redhat.com> - 1.22-2
- Migrate to .hpi with symlinks

* Mon Feb 02 2015 Michal Srb <msrb@redhat.com> - 1.22-1
- Update to upstream version 1.22

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.18-2
- Rebuild to fix plugin dependencies

* Mon Oct 27 2014 Michal Srb <msrb@redhat.com> - 1.18-1
- Update to upstream version 1.18

* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.10-5
- This is a core plugin, move it to the correct location

* Fri Oct 03 2014 Michal Srb <msrb@redhat.com> - 1.10-4
- Install as Jenkins plugin

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 01 2014 Michal Srb <msrb@redhat.com> - 1.10-2
- Remove unneeded patch

* Thu Mar 20 2014 Michal Srb <msrb@redhat.com> - 1.10-1
- Update to upstream version 1.10

* Fri Nov 29 2013 Michal Srb <msrb@redhat.com> - 1.9.3-1
- Initial packaging

